Get active chains by wallet address
curl --request GET \
--url https://deep-index.moralis.io/api/v2.2/wallets/{address}/chains \
--header 'X-API-Key: <api-key>'import requests
url = "https://deep-index.moralis.io/api/v2.2/wallets/{address}/chains"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://deep-index.moralis.io/api/v2.2/wallets/{address}/chains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "0x057Ec652A4F150f7FF94f089A38008f49a0DF88e",
"active_chains": [
{
"chain": "eth",
"chain_id": "0x1",
"first_transaction": {
"block_number": "123456789",
"block_timestamp": "2022-08-23T20:58:31.000Z",
"transaction_hash": "0x2d30ca6f024dbc1307ac8a1a44ca27de6f797ec22ef20627a1307243b0ab7d09"
},
"last_transaction": {
"block_number": "123456789",
"block_timestamp": "2022-08-23T20:58:31.000Z",
"transaction_hash": "0x2d30ca6f024dbc1307ac8a1a44ca27de6f797ec22ef20627a1307243b0ab7d09"
}
}
]
}Activity
Wallet Chain Activity
List the blockchain networks a wallet is active on, including their first and last seen timestamps. Options to query cross-chain using the chains parameter.
GET
/
wallets
/
{address}
/
chains
Get active chains by wallet address
Authorizations
Path Parameters
Wallet address
Example:
"0xcB1C1FdE09f811B294172696404e88E658659905"
Query Parameters
The chains to query
Available options:
eth, 0x1, sepolia, 0xaa36a7, polygon, 0x89, bsc, 0x38, bsc testnet, 0x61, avalanche, 0xa86a, cronos, 0x19, arbitrum, 0xa4b1, chiliz, 0x15b38, gnosis, 0x64, base, 0x2105, base sepolia, 0x14a34, optimism, 0xa, polygon amoy, 0x13882, linea, 0xe708, moonbeam, 0x504, moonriver, 0x505, flow, 0x2eb, flow-testnet, 0x221, ronin, 0x7e4, ronin-testnet, 0x31769, lisk, 0x46f, pulse, 0x171, sei-testnet, 0x530, sei, 0x531, monad, 0x8f 
